

Use pid_alive() rather than testing for a zero value of ->pid.  Is the right
thing to do and addresses an oops dereferencing real_parent which one person
reported.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/proc/array.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/proc/array.c~do_task_stat-use-pid_alive fs/proc/array.c
--- 25/fs/proc/array.c~do_task_stat-use-pid_alive	Thu Dec  9 13:07:12 2004
+++ 25-akpm/fs/proc/array.c	Thu Dec  9 13:07:12 2004
@@ -370,7 +370,7 @@ static int do_task_stat(struct task_stru
 			stime += task->signal->stime;
 		}
 	}
-	ppid = task->pid ? task->group_leader->real_parent->tgid : 0;
+	ppid = pid_alive(task) ? task->group_leader->real_parent->tgid : 0;
 	read_unlock(&tasklist_lock);
 
 	if (!whole || num_threads<2)
_
